\section{Video}
\label{sec:Video}

\person{Holger Levsen}{Co-organiser, video team coordinator}
The core video team at DebConf6 was almost the same as DebConf5, and the setting
promised to be similar. Due to our success in Helsinki at DebConf5 we gained some
more people and also better and more resources, though we lacked a
video mixer. Despite this promising start, in the end many important details
were different or didn't work out as we planned, but we were able to
deliver the recordings we promised plus the \textit{optional} streaming as well.

We had quite ambitious plans for what to prepare during Debcamp, the week of
hacking before the conference. But without (much) network we were not
motivated to set up the streaming, because streaming to the outside world
doesn't make sense without a connection. Eventually the network worked and we
set up a streaming solution using icecast2 going over a wireless link to
some slow ADSL modems to the internet, where we had load-balancers for
video.debconf.org.
\begin{quotation}
  \textbf{Due to our success at DebConf5 we gained some more people \dots}
\end{quotation}
The team doing this consisted of 12 core members, and countless helpers, for
operating the cameras or audio mixers, handing microphones in the audience
and working on the traffic shaping or the IP-tunnel on the hotel network.
These helpers deserve part of the credit and applause the video team got.

Of course, we also received some criticism: due to local and uplink network
problems the streams sometimes stopped, and due to the ADSL uplink the bitrate
and resolution of the streams was at the low end. But, as we kept saying,
streaming was optional and it mostly worked well enough, that Debian
developers at home spread all over the world could participate in the
discussions, thanks also to the back-channel via IRC (Internet Relay Chat).
\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/photos/video}
\imcap{Video team member at work}
\end{figure}
Our main focus was archiving the conference for the future. 62 sessions
at two different venues were recorded and later published on
http://meetings-archive.debian.net/pub/debian-meetings/2006/debconf6/
We also produced a set of DVDs: two English ones with all the sessions
from DebConf and English sessions from Debian Day, and a Spanish one
with all the talks from Debian Day and Spanish sessions from DebConf.
\begin{quotation}
  \textbf{\dots 62 sessions at two different venues \dots}
\end{quotation}
For the streaming and the recording we used five machines and 1.5 terabytes
storage in total, which we encoded and took home on two 250gb harddrives, because
it was not possible for us to uploading this amount of data from Mexico. We used two
machines per venue and a streaming server to deliver the streams to the
local network and the internet. One machine at each venue was placed in the
auditorium and connected to the DV camera and streamed raw DV to the second
machine at the venue, which first recorded the raw DV stream to disc and then
encoded it and forwarded it to the streaming hub.
\begin{quotation}
  \textbf{\dots the video team experience in Oaxtapec was surely a lot of fun
and probably even more of a learning experience for each one of us \dots}
\end{quotation}
The post-production setup was similarly simple: for most sessions we
just cut the beginning and end of the videos, and for the hacklab we
normalised audio levels.
For a few talks we needed to fix audio/video synchronisation problems or
make some cuts. This
setup proved to be very helpful when we arrived with those two 250gb
harddrives in Europe and discovered that all audio and video was out of
sync due to a bug in the encoder. As we had previously made sure that the
server hard drives in Mexico
wouldn't be erased until we gave clearance, we could still access the raw DV
files with correct audio-video sync, re-ran the fixed scripts with bugfixed
encoder and had the data sent to Europe again by air mail, for further
encoding, DVD production and uploading.

All in all, the video team experience in Oaxtapec was surely a lot of fun
and probably even more of a learning experience for each one of us and for
future DebConfs to come. Personally I'm very much looking forward to extending
our knowledge, our recordings and streams, as well as the archive webpage, and
repeating our success at DebConf7 in June 2007 in Edinburgh.

% Keep this at the bottom, thanks.
% Local Variables:
% TeX-master: "dc6-report"
% End:
